//
//  WindowController.swift
//  migemodoki
//
//  Created by narita on 2017/10/30.
//  Copyright © 2017年 narita. All rights reserved.
//

import Cocoa

class WindowController: NSWindowController, NSWindowDelegate
{
    override func windowDidLoad()
    {
        super.windowDidLoad()
    
        // Implement this method to handle any initialization after your window controller's window has been loaded from its nib file.
    }

    @objc dynamic var custumFieldEditor: MINTLIncrementalSearchFieldEditor? = nil
    
    public func windowWillReturnFieldEditor(_ sender: NSWindow, to client: Any?) -> Any?
    {
        // カスタムのfieldEditorを使う
        if client is MINTLIncrementalSearchField?
        {
            if self.custumFieldEditor == nil
            {
                self.custumFieldEditor = MINTLIncrementalSearchFieldEditor()
                self.custumFieldEditor!.isFieldEditor = true
            }
            
            return self.custumFieldEditor
        }

        // デフォルトのfieldEditorを使う
        return nil
    }

}
